commit: 4f83cfae81e6a2b0df4d82e35a1c186753a54381
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 25 19:19:35 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 25 19:27:46 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f83cfae
dev-python/setuptools_scm: Bump to 4.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/setuptools_scm/Manifest | 1 +
.../setuptools_scm/setuptools_scm-4.1.0.ebuild | 41 ++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/setuptools_scm/Manifest
b/dev-python/setuptools_scm/Manifest
index 2b2e246f5e7..6986d67b621 100644
--- a/dev-python/setuptools_scm/Manifest
+++ b/dev-python/setuptools_scm/Manifest
@@ -1 +1,2 @@
DIST setuptools_scm-3.5.0.tar.gz 46272 BLAKE2B
132711c8312dfbe48f9e2d3d7fcd0a86b057bbcf9a5f6b2e61afe018e116a4df96c3bf5cddf067bc92b96915f70182013749ce65b8fa5feb92ccef903859ee3f
SHA512
f7e2cdae7a8a3d5ef3d12effcda5ce7f362c426e11aecaef69ef604bede9abbab2aa1eee6f5310cdd72a9bf11a927dbd1f42671e28bd467ad7b15f2dba5b81d9
+DIST setuptools_scm-4.1.0.tar.gz 48740 BLAKE2B
70c7530af963ad49c013f65a2279a76aa8f1ec6809fe463f95803011ecc6725cb18154f6c49f0a976e86a8c60cface13d1caecfa61a51acfa1775df291870e30
SHA512
96f8f3668f4efdb47f422ec33a417d8ad67697b953788757f7557ac3c8910425ff6f9438e2b724bbbd542da1f736dc1f5e02eb5305935d87bb9c4b943aff2f16
diff --git a/dev-python/setuptools_scm/setuptools_scm-4.1.0.ebuild
b/dev-python/setuptools_scm/setuptools_scm-4.1.0.ebuild
new file mode 100644
index 00000000000..f28a4689c95
--- /dev/null
+++ b/dev-python/setuptools_scm/setuptools_scm-4.1.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage versions by scm tags via setuptools"
+HOMEPAGE="https://github.com/pypa/setuptools_scm
https://pypi.org/project/setuptools_scm/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ !!<dev-python/setuptools_scm-2
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-vcs/git
+ !sparc? ( dev-vcs/mercurial ) )"
+
+python_prepare_all() {
+ # network access
+ sed -i -e 's:test_pip_download:_&:' testing/test_regressions.py || die
+ # all fetch specific setuptools versions
+ rm testing/test_setuptools_support.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -v -v -x || die "Tests fail with ${EPYTHON}"
+}